---
updatedAt: 2026-08-07T04:48:34.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Register phone for an app

## Request Parameters

| Key           | Description                                        | Value                     | Data type | Required/Optional | Constraints                                                                |
| :------------ | :------------------------------------------------- | :------------------------ | :-------- | :---------------- | :------------------------------------------------------------------------- |
| Authorization | Partner app access token issued post partner login | \{\{PARTNER\_APP\_TOKEN}} | String    | Required          | Should be a valid Partner app access token belonging to the passed app ID. |
| appId         | App ID to fetch the access token                   | \{\{APP\_ID}}             | String    | Required          | Valid app ID                                                               |

## Sample Request

```curl
curl --location 'https://partner.gupshup.io/partner/app/:appId/onboarding/register' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json'
```

## Sample Response

```json
{
	"status": "success",
	"success": true
}
```

## Status Codes

| Status Code | Response                                                                  | Comments                  |
| :---------- | :------------------------------------------------------------------------ | :------------------------ |
| **Success** |                                                                           |                           |
| 200         | \{<br />"status": "success",<br />"success": true<br />}                  |                           |
| **Error**   |                                                                           |                           |
| 400         | \{<br />"status":"error",<br />"message/data":"\<Specific to API>"<br />} | Error with respect to API |
| 401         | \{<br />"status":"error",<br />"message":"Unauthorized Access"<br />}     | When authentication fails |
| 429         | Too Many Requests                                                         | When rate limit is hit    |
| 500         | \{<br />"status": "error",<br />"message": "Internal Server Error"<br />} | For any Internal Error    |

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Partner Portal API",
    "description": "Partner Portal API documentation",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.gupshup.io"
    },
    "version": "3.0.0-SNAPSHOT"
  },
  "externalDocs": {
    "description": "Gupshup Wiki Documentation",
    "url": "https://www.gupshup.io/partner/docs"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io",
      "description": "Generated server url"
    }
  ],
  "paths": {
    "/partner/app/{appId}/onboarding/register": {
      "post": {
        "summary": "Register phone for an app",
        "operationId": "registerPhoneApp",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "sk_987654xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "description": "Your app token, please refer [**Get access token api**](https://docs.gupshup.io/reference/get_partner-app-appid-token) to get the token from partner documentation."
          },
          {
            "name": "appId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "example": "657c0203-0b4d-xxxx-xxxx-xxxxxxx35a16"
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Success"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden - no permissions to access resource",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    },
                    "status": {
                      "type": "string",
                      "example": "error"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        },
        "x-internal": false
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponse": {
        "required": [
          "entity",
          "status"
        ],
        "type": "object",
        "properties": {
          "status": {
            "type": "integer",
            "description": "Status Code",
            "format": "int32"
          },
          "message": {
            "type": "string",
            "description": "Error message describing the reason "
          },
          "details": {
            "type": "string",
            "description": "Developer specific error details "
          },
          "entity": {
            "type": "object",
            "description": "Response Object"
          }
        },
        "description": "Error"
      },
      "Success": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string"
          },
          "success": {
            "type": "boolean"
          }
        }
      }
    }
  }
}
```